Subject: [TR] TR3/4 tappets

From: Allen Hess <[email-masked]>
Date: Wed, 11 Sep 2013 11:50:29 -0400

Moss and British Parts Northwest have a lightened and oil drilled  
tappet with similar part descriptions but BPNW is less than half the  
price of Moss. (half $ x 8 is hard to ignore). But it is for a street  
engine and I could save more money and buy the stock ones. Any opinions?

Allen

** [email-masked] **

Archive: http://www.team.net/archive